ReferenceAPI referenceSlack
Create a Slack app from a manifest and begin workspace installation
Requires SUPER_USER. The configuration token is used once and is never persisted.
POST
/organizations/{organization_id}/slack/setupRequires SUPER_USER. The configuration token is used once and is never persisted.
tasuku_session<token>
In: cookie
Path Parameters
organization_id*string
Length
1 <= length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/organizations/string/slack/setup" \ -H "Content-Type: application/json" \ -d '{ "configuration_token": "string" }'{ "data": { "setup_attempt_id": "string", "oauth_authorize_url": "http://example.com", "expires_at": "2019-08-24T14:15:22Z" }}